curl --request GET \
--url https://api.yapily.com/users \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.yapily.com/users"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.yapily.com/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"uuid": "3b908179-6faa-42e1-8129-8fd0ff1fc68f",
"applicationUuid": "3020bf54-e254-40ba-ba7b-fc959774486a",
"applicationUserId": "string",
"createdAt": "2022-10-17T08:51:02.463Z",
"institutionConsents": [
{
"institutionId": "modelo-sandbox"
}
]
},
{
"uuid": "be7dd6fa-1236-41b6-a7a1-5d7863ab9553",
"applicationUuid": "3020bf54-e254-40ba-ba7b-fc959774486a",
"referenceId": "hollyhock@9tees.com",
"createdAt": "2022-10-17T08:51:02.464Z",
"institutionConsents": [
{
"institutionId": "mock-sandbox"
}
]
},
{
"uuid": "deb9aac1-b0bc-4f40-9c0b-6a675cf6646f",
"applicationUuid": "3020bf54-e254-40ba-ba7b-fc959774486a",
"referenceId": "beatrice@9tees.com",
"createdAt": "2022-10-17T08:51:02.466Z",
"institutionConsents": [
{
"institutionId": "yapily-mock"
}
]
}
]{
"error": {
"code": 401,
"status": "UNAUTHORIZED",
"message": "Full authentication is required to access this resource"
}
}Get Users
Retrieves all users created in your application for a specified applicationUserId using the filter[applicationUserId] query parameter. If filter[applicationUserId] is not provided, the response will include up to 50,000 users.
Authorizations
Use HTTP Basic Authentication with your Application ID as username and Application Secret as password. Manage credentials in the Yapily Console. See Authentication for details.
Query Parameters
Optional. Filter records based on the list of applicationUserId users provided.
Response
Ok
A unique identifier for the 'User' assigned by Yapily.
Unique identifier of the application the user is associated with.
Conditional. The user-friendly reference to the User.
Date and time of when the user was created.
Show child attributes
Show child attributes
Optional. A flag to indicate whether the user has opted out of VOP.
Was this page helpful?